Subject: bug#48327: guix system image uses cross-compiler even on native system

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 10 May 2021 11:22:31 +0200

Hello Vagrant,

> But I'm building this on an aarch64 system; it shouldn't need to use an
> aarch64-linux-gnu cross-compiler on an aarch64-linux system! It would be
> nice if it could build images natively, too. :)

Yes indeed! It has been discussed here:
https://issues.guix.gnu.org/45020 without reaching a proper conclusion.

The idea of https://issues.guix.gnu.org/45021 is to add a "system" field
to the <image> record, so that we can build the image natively when
appropriate or cross-compile otherwise.

Thanks,

Mathieu